#include "xcplane.h"

XCPlane::XCPlane()
    : XAsset()
    , mNormal()
    , mDist(0)
    , mType(0)
    , mSignbits(0)
    , mPad()
{
    
}

XCPlane::~XCPlane()
{
    
}

void XCPlane::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mNormal[0]
            >> mNormal[1]
            >> mNormal[2]
            >> mDist
            >> mType
            >> mSignbits
            >> mPad[0]
            >> mPad[1];
    }
}

void XCPlane::Clear()
{
    mNormal = QVector3D();
    mDist = 0;
    mType = 0;
    mSignbits = 0;
    mPad.clear();
}
